<solidify-base-action-dialog [titleToTranslate]="'preservationPlanning.aip.modal.approveDisposal.title' | translate">
  <form (ngSubmit)="onSubmit()"
        [solidifySpinner]="isLoadingObs | async"
        [formGroup]="form"
        class="form"
  >
    <mat-form-field *ngIf="getFormControl(formDefinition.reason) as fd"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.reason | translate}}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             matInput
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>
  </form>
</solidify-base-action-dialog>
<div class="footer"
     mat-dialog-actions
>
  <button [mat-dialog-close]=""
          cdkFocusInitial
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="onSubmit()"
          (onEnter)="onSubmit()"
          [disabled]="form.invalid || form.pristine"
          [solidifyButtonSpinner]="isLoadingObs | async"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >{{labelTranslateEnum.confirm | translate}}
  </button>
</div>

